
ISTI Open Access - Feature #21891

Migrate OpenPortal machines to ubuntu 18.04

Jul 30, 2021 11:26 AM - Tommaso Piccioli

Status: Closed Start date: Jul 30, 2021

Priority: High Due date:  

Assignee: _InfraScience Site Reliability Engineer

(SRE)

% Done: 100%

Category:    

Target version: ISTI Open Portal Tasks   

Description

3 machines

dnet.openportal.isti.cnr.it

backend.openportal.isti.cnr.it

openportal.isti.cnr.it

See #21881 

Related issues:

Related to ISTI Open Access - Feature #11601: Migrate the OpenPortal services... Closed Oct 12, 2018

Related to ISTI Open Access - Feature #21881: Update the PHP version Closed Jul 28, 2021

Related to ISTI Open Access - Support #22008: Cater for OpenPortal for ISPC Closed Sep 15, 2021

Related to ISTI Open Access - Incident #22438: FTP for ISPC Open Portal is no... Closed Nov 18, 2021

Related to ISTI Open Access - Support #23904: Complete the migration to the n... Closed Sep 22, 2022

History

#1 - Jul 30, 2021 11:26 AM - Tommaso Piccioli

- Related to Feature #11601: Migrate the OpenPortal services to production machines added

#2 - Jul 30, 2021 11:55 AM - Anonymous

- Blocks Feature #21881: Update the PHP version added

#3 - Sep 15, 2021 10:14 AM - Leonardo Candela

- Priority changed from Normal to High

#4 - Sep 15, 2021 10:21 AM - Leonardo Candela

- Blocks Support #22008: Cater for OpenPortal for ISPC added

#5 - Sep 29, 2021 02:38 PM - Michele Artini

I add some details about the components of the current machines:

dnet.openportal.isti.cnr.it

Java (OpenJDK 1.8.0_171)

Tomcat7 (7.0.52-1ubuntu0.16)

dnet application (it manages 2 embedded databases, the files are stored in /var/lib/dnet/)

backend.openportal.isti.cnr.it

MySQL (5.5.62):

Joomla databases: op_beta_joomla, op_ismar_joomla, op_prod_joomla

dnet databases: isti_affiliations

Solr (5.5.5): the index can be automatically regenerated by dnet

Mongo (3.6.9): relevant databases are dnet_logs_isti, mdstore_isti, oaistore_isti

openportal.isti.cnr.it

Apache 2, it hosts the Joomla sites, it exposes the content of the /data directory and redirect the calls to https://openportal.isti.cnr.it/oai to the

dnet application
PHP with modules for mongo and solr

FTP server, it permits to manipulate the file under /data, it must be accessible also by the dnet application

Joomla (3 instances)

#6 - Sep 29, 2021 07:22 PM - Andrea Dell'Amico

Michele Artini wrote in #note-5:

Tomcat7 (7.0.52-1ubuntu0.16)

 Tomcat's version will be 8.5

#7 - Oct 01, 2021 02:42 PM - Michele Artini

There are also some shell scripts under /etc/cron.hourly of openportal.isti.cnr.it . These scripts keep the totals updated on the main page of the

portals.

#8 - Oct 01, 2021 02:47 PM - Andrea Dell'Amico

It's time to manage everything inside the ansible playbook, I hate having to search servers and find all the manual tweaks.

#9 - Oct 13, 2021 11:35 AM - Tommaso Piccioli

- Status changed from New to In Progress

A new record in the ISPC DNS is needed

openportal.ispc.cnr.it 146.48.87.209

#10 - Nov 17, 2021 04:50 PM - Andrea Dell'Amico

- Blocks deleted (Feature #21881: Update the PHP version)

#11 - Nov 17, 2021 04:50 PM - Andrea Dell'Amico

- Related to Feature #21881: Update the PHP version added

#12 - Nov 17, 2021 04:52 PM - Andrea Dell'Amico

- Blocks deleted (Support #22008: Cater for OpenPortal for ISPC)

#13 - Nov 17, 2021 04:52 PM - Andrea Dell'Amico

- Related to Support #22008: Cater for OpenPortal for ISPC added

#14 - Nov 17, 2021 04:54 PM - Andrea Dell'Amico

- Assignee changed from Tommaso Piccioli to _InfraScience Site Reliability Engineer (SRE)

#15 - Nov 17, 2021 04:55 PM - Andrea Dell'Amico

Michele Artini wrote in #note-7:

There are also some shell scripts under /etc/cron.hourly of openportal.isti.cnr.it . These scripts keep the totals updated on the main page of

the portals.

 @michele.artini@isti.cnr.it those script should be provisioned by ansible. Where do we can find them?

#16 - Nov 17, 2021 04:57 PM - Andrea Dell'Amico

Also: all the problems seems to have been solved.

Can we schedule the migration of the two other portals?

#17 - Nov 17, 2021 04:57 PM - Andrea Dell'Amico

- % Done changed from 0 to 30

#18 - Nov 18, 2021 09:20 AM - Anonymous

The scripts in /etc/cron.hourly are specific for each instance of portal. I need to edit them easily.
#19 - Nov 18, 2021 12:24 PM - Andrea Dell'Amico

I still don't like manual editing in place, for whatever reason.

We could:

Give you the ability to run the ansible playbook

You put the cron entries into a git repository, and we use a cron job to pull from it.

#20 - Nov 18, 2021 02:01 PM - Andrea Dell'Amico

- Related to Incident #22438: FTP for ISPC Open Portal is not reachable from outside  added

#21 - Dec 07, 2021 03:06 PM - Michele Artini

@tommaso.piccioli@isti.cnr.it Could you permit the access to newbackend-openportal.isti.cnr.it (mysql, mongo and solr via https) from

openportal.isti.cnr.it?

So, I will reconfigure all the portals to use the new backends and we could dismiss:

dnet-openportal.isti.cnr.it (entire machine)

backend-openportal.isti.cnr.it (for now only mongo and solr )

#22 - Dec 07, 2021 03:52 PM - Tommaso Piccioli

Michele Artini wrote in #note-21:

@tommaso.piccioli@isti.cnr.it Could you permit the access to newbackend-openportal.isti.cnr.it (mysql, mongo and solr via https) from

openportal.isti.cnr.it?

 done.

#23 - Dec 09, 2021 02:42 PM - Michele Artini

I reconfigured the ISTI, ISMAR and BETA portals to be managed by the services hosted on the new machines:

newdnet-openportal.isti.cnr.it (dnet aggregator)

newbackend.openportal.isti.cnr.it (mongo, solr and mysql)

Probably we could stop the old machines:

dnet-openportal.isti.cnr.it

backend.openportal.isti.cnr.it

Instead the portals are yet hosted on the old machine (Ubuntu 14.04, PHP 7.2.13) and need to be moved on the new server.

@tommaso.piccioli@isti.cnr.it @andrea.dellamico@isti.cnr.it

In the old server to enable the OAI exporter from the ISTI portal, according to the new mechanism, I commented the following line:

# ProxyPassMatch ^/oai(.*)$ https://dnet-openportal.isti.cnr.it/is/mvc/oai/oai.do$1

 of file:

/etc/apache2/sites-enabled/openportal.isti.cnr.it.conf

 That line is no longer necessary, you should remove it in the Ansible scripts.

#24 - Dec 09, 2021 07:27 PM - Tommaso Piccioli

dnet-openportal.isti.cnr.it and backend.openportal.isti.cnr.it switched off.

#25 - Feb 02, 2022 11:09 AM - Michele Artini

The ISTI portal was using the solr API, exposed by the backend.openportal.isti.cnr.it via https, to render some pages, for example: 

https://www.isti.cnr.it/en/research/publications

Could you reassign the name backend.openportal.isti.cnr.it to newbackend.openportal.isti.cnr.it and configure a proxy to expose the port 8983

via https?

#26 - Sep 22, 2022 03:57 PM - Michele Artini

- Related to Support #23904: Complete the migration to the new machines added

#27 - Sep 29, 2022 12:31 PM - Michele Artini

- Status changed from In Progress to Closed
- % Done changed from 30 to 100

La migrazione è stata completata.
